| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::ppf_match_3d::Pose3D Class Reference
Surface Matching

Class, allowing the storage of a pose. The data structure stores both the quaternions and the matrix forms. It supports IO functionality together with various helper methods to work with poses. More...

`#include <opencv2/surface_matching/pose_3d.hpp>`

## Public Member Functions
| Pose3D ()
| Pose3D (double Alpha, size_t ModelIndex=0, size_t NumVotes=0)
virtual | ~Pose3D ()
void | appendPose (Matx44d &IncrementalPose)
| Left multiplies the existing pose in order to update the transformation. More...
Pose3DPtr | clone ()
void | printPose ()
int | readPose (FILE *f)
int | readPose (const std::string &FileName)
void | updatePose (Matx44d &NewPose)
| Updates the pose with the new one. More...
void | updatePose (Matx33d &NewR, Vec3d &NewT)
| Updates the pose with the new one. More...
void | updatePoseQuat (Vec4d &Q, Vec3d &NewT)
| Updates the pose with the new one, but this time using quaternions to represent rotation. More...
int | writePose (FILE *f)
int | writePose (const std::string &FileName)

## Public Attributes
double | alpha
double | angle
size_t | modelIndex
size_t | numVotes
Matx44d | pose
Vec4d | q
double | residual
Vec3d | t

## Detailed Description

Class, allowing the storage of a pose. The data structure stores both the quaternions and the matrix forms. It supports IO functionality together with various helper methods to work with poses.

## Constructor & Destructor Documentation

## ◆ Pose3D() [1/2]

cv::ppf_match_3d::Pose3D::Pose3D | ( |  | ) |
| inline

Python:
| <ppf_match_3d_Pose3D object> | = | cv.ppf_match_3d_Pose3D( |  | )
| <ppf_match_3d_Pose3D object> | = | cv.ppf_match_3d_Pose3D( | Alpha[, ModelIndex[, NumVotes]] | )

## ◆ Pose3D() [2/2]

cv::ppf_match_3d::Pose3D::Pose3D | ( | double | Alpha,
|  | size_t | ModelIndex = `0`,
|  | size_t | NumVotes = `0`
| ) |  |
| inline

Python:
| <ppf_match_3d_Pose3D object> | = | cv.ppf_match_3d_Pose3D( |  | )
| <ppf_match_3d_Pose3D object> | = | cv.ppf_match_3d_Pose3D( | Alpha[, ModelIndex[, NumVotes]] | )

## ◆ ~Pose3D()

virtual cv::ppf_match_3d::Pose3D::~Pose3D | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ appendPose()

void cv::ppf_match_3d::Pose3D::appendPose | ( | Matx44d & | IncrementalPose | ) |

Python:
| None | = | cv.ppf_match_3d_Pose3D.appendPose( | IncrementalPose | )

Left multiplies the existing pose in order to update the transformation.

Parameters

  [in] | IncrementalPose | New pose to apply

## ◆ clone()

Pose3DPtr cv::ppf_match_3d::Pose3D::clone | ( |  | ) |

## ◆ printPose()

void cv::ppf_match_3d::Pose3D::printPose | ( |  | ) |

Python:
| None | = | cv.ppf_match_3d_Pose3D.printPose( |  | )

## ◆ readPose() [1/2]

int cv::ppf_match_3d::Pose3D::readPose | ( | FILE * | f | ) |

## ◆ readPose() [2/2]

int cv::ppf_match_3d::Pose3D::readPose | ( | const std::string & | FileName | ) |

## ◆ updatePose() [1/2]

void cv::ppf_match_3d::Pose3D::updatePose | ( | Matx44d & | NewPose | ) |

Python:
| None | = | cv.ppf_match_3d_Pose3D.updatePose( | NewPose | )
| None | = | cv.ppf_match_3d_Pose3D.updatePose( | NewR, NewT | )

Updates the pose with the new one.

Parameters

  [in] | NewPose | New pose to overwrite

## ◆ updatePose() [2/2]

void cv::ppf_match_3d::Pose3D::updatePose | ( | Matx33d & | NewR,
|  | Vec3d & | NewT
| ) |  |

Python:
| None | = | cv.ppf_match_3d_Pose3D.updatePose( | NewPose | )
| None | = | cv.ppf_match_3d_Pose3D.updatePose( | NewR, NewT | )

Updates the pose with the new one.

## ◆ updatePoseQuat()

void cv::ppf_match_3d::Pose3D::updatePoseQuat | ( | Vec4d & | Q,
|  | Vec3d & | NewT
| ) |  |

Python:
| None | = | cv.ppf_match_3d_Pose3D.updatePoseQuat( | Q, NewT | )

Updates the pose with the new one, but this time using quaternions to represent rotation.

## ◆ writePose() [1/2]

int cv::ppf_match_3d::Pose3D::writePose | ( | FILE * | f | ) |

## ◆ writePose() [2/2]

int cv::ppf_match_3d::Pose3D::writePose | ( | const std::string & | FileName | ) |

## Member Data Documentation

## ◆ alpha

double cv::ppf_match_3d::Pose3D::alpha

## ◆ angle

double cv::ppf_match_3d::Pose3D::angle

## ◆ modelIndex

size_t cv::ppf_match_3d::Pose3D::modelIndex

## ◆ numVotes

size_t cv::ppf_match_3d::Pose3D::numVotes

## ◆ pose

Matx44d cv::ppf_match_3d::Pose3D::pose

## ◆ q

Vec4d cv::ppf_match_3d::Pose3D::q

## ◆ residual

double cv::ppf_match_3d::Pose3D::residual

## ◆ t

Vec3d cv::ppf_match_3d::Pose3D::t

The documentation for this class was generated from the following file:

- opencv2/surface_matching/pose_3d.hpp